/*
 * @Copyright 2010, MechSoft 
 * MechSoft, Mechanical and Software Solutions 
 * 
 * Licensed under the Apache License, Version 2.0 (the 
 * "License"); you may not use this file except in compliance 
 * with the License. You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.sample.reservation.service.metadata;

public interface IAdminService
{
    String SERVICE_NAME = "AdminService";
    
    interface CREATE_NEW_HOTEL
    {
        String METHOD_NAME = "createNewHotel";
        interface INPUT
        {
            String NAME = "NAME";
            String STAR = "STAR";
            String CITY = "CITY";
            String COUNTRY = "COUNTRY";
        }
    }
    
    interface GET_HOTELS
    {
        String METHOD_NAME = "getHotels";
        interface OUTPUT
        {
            String HOTELS = "HOTELS";
        }
    }
    
    interface GET_USERS
    {
        String METHOD_NAME = "getUsers";
        interface OUTPUT
        {
            String USERS = "USERS";
        }
    }
    
    interface GET_HOTEL_WITH_ID
    {
        String METHOD_NAME = "getHotelWithId";
        interface INPUT
        {
            String ID = "ID";
        }
        interface OUTPUT
        {
            String HOTEL = "HOTEL";
        }
    }
    
    interface GET_RESERVATION_WITH_HOTEL
    {
        String METHOD_NAME = "getReservationsWithHotel";
        interface INPUT
        {
            String ID = "ID";
        }
        interface OUTPUT
        {
            String RESERVATIONS = "RESERVATIONS";
        }
    }
    
    interface GET_RESERVATION_WITH_USER
    {
        String METHOD_NAME = "getReservationsWithUser";
        interface INPUT
        {
            String ID = "ID";
        }
        interface OUTPUT
        {
            String RESERVATIONS = "RESERVATIONS";
        }
    }
    
    interface UPDATE_HOTEL
    {
        String METHOD_NAME = "updateHotel";
        interface INPUT
        {
            String ID = "ID";
            String NAME = "NAME";
            String STAR = "STAR";
            String CITY = "CITY";
            String COUNTRY = "COUNTRY";
        }    
    }
    
    interface DELETE_HOTEL
    {
        String METHOD_NAME = "deleteHotel";
        interface INPUT
        {
            String ID = "ID";
        }    
    }
}
